import mutations from "./mutations.js";
import actions from "./actions.js";
import getters from "./getters.js";

export default {
  namespaced: true,
  state() {
    return {
      map: {},
      tableData: [],
      options: [{
        value: 'Status',
        label: ''
      }],
      isOpen: false,
      dataParam: null,

      // 用于存放上次结果
      preBoxX: null,
      preBoxY: null,
      preBox1: null,
      preBox2: null,
      preBox3: null,
      FJ1: null,
      FJ2: null,
      FJ3: null,
      FJ12: null,
      // 存放本次结果
      nowBox1: null,
      nowBox2: null,
      nowBox3: null,


      // 二维实时位置展示
      // 颜色绑定
      randomColorMap: new Map(),
      styleMap: new Map(),
      // 接口接收数据
      locationData: [],
      // 真实数据
      realTimeData: new Map(),
      realTimedistPos: new Map(),
      // 从储存位置数组中取数据的频率
      getTime: 1000,
      realMapName: '',
      preReaMapName: undefined,
      iscomed: false,
    };
  },
  mutations,
  actions,
  getters,
};
